CUDNN Frontend API 8.3.0

Static Public Member Functions | List of all members
nlohmann::detail::external_constructor< value_t::string > Struct Template Reference

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::external_constructor< value_t::string >:

## Static Public Member Functions
template<typename BasicJsonType >
static void | construct (BasicJsonType &j, const typename BasicJsonType::string_t &s)
template<typename BasicJsonType >
static void | construct (BasicJsonType &j, typename BasicJsonType::string_t &&s)
template<typename BasicJsonType , typename CompatibleStringType , enable_if_t< !std::is_same< CompatibleStringType, typename BasicJsonType::string_t >::value, int > = 0>
static void | construct (BasicJsonType &j, const CompatibleStringType &str)

## Detailed Description

### template<>
struct nlohmann::detail::external_constructor< value_t::string >

Definition at line 4496 of file json.hpp.

## Member Function Documentation

## ◆ construct() [1/3]

template<typename BasicJsonType >

static void nlohmann::detail::external_constructor< value_t::string >::construct | ( | BasicJsonType & | j,
|  | const typename BasicJsonType::string_t & | s
| ) |  |
| inlinestatic

Definition at line 4499 of file json.hpp.

References nlohmann::detail::string.

## ◆ construct() [2/3]

template<typename BasicJsonType >

static void nlohmann::detail::external_constructor< value_t::string >::construct | ( | BasicJsonType & | j,
|  | typename BasicJsonType::string_t && | s
| ) |  |
| inlinestatic

Definition at line 4507 of file json.hpp.

References nlohmann::detail::string.

## ◆ construct() [3/3]

template<typename BasicJsonType , typename CompatibleStringType , enable_if_t< !std::is_same< CompatibleStringType, typename BasicJsonType::string_t >::value, int > = 0>

static void nlohmann::detail::external_constructor< value_t::string >::construct | ( | BasicJsonType & | j,
|  | const CompatibleStringType & | str
| ) |  |
| inlinestatic

Definition at line 4517 of file json.hpp.

References nlohmann::detail::string.

The documentation for this struct was generated from the following file:

- json.hpp